#userManagementTable {
  position: relative;
  @mixin standardFont ($size, $weight, $color) {
    font-family: 'SF Pro Text', 'SF Pro Icons', 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
    font-size: $size !important;
    font-weight: $weight !important;
    color: $color;
  }
  @mixin standardTableCol ($min, $max) {
    min-width: $min;
    max-width: $max;
  }
  @mixin buttonData ($fontColor, $backgroundColor, $borderColor){
    margin-top: -2px;
    width: 65px;
    height: 30px;
    border-radius: 4px;
    background-color: $backgroundColor;
    border: 1px solid $borderColor;
    cursor: pointer;
    color: $fontColor;
  }
  @mixin inputData($weight) {
    padding: 5px;
    width: $weight;
    height: 30px;
    font-size: 14px;
    border: solid 1px #c4c4c4;
    border-radius: 4px;
    box-sizing: border-box
  }
  .table-box {
    position: relative;
    width: fit-content;
    margin: auto;
    .left-text {
      text-align: left !important;
    }
    #buttonBox {
      padding: 5px 25px;
      .edit-button {
        @include buttonData(#ffffff, #4e7afb, #4e7afb);
        &:hover {
            background-color: #3f60c1;
            border-color: #3f60c1;
        }
      }
      .delete-button {
        @include buttonData(#ffffff, #bf6868, #bf6868);
        &:hover {
            background-color: #934e4e;
            border-color: #934e4e;
        }
      }
      .cancel-button {
        @include buttonData(#b1b1b1, #ffffff, #c3c3c3);
        &:hover {
            color: #bf6868;
            border-color: #bf6868;
        }
      }
    }
    .input-name {
      @include inputData(150px);
    }
    .input-nickname {
      @include inputData(100px);
    }
    .input-age {
      @include inputData(50px);
    }
    .table-scroll {
      position: relative;
      width: 100%;
      overflow-y: auto;
      overflow-x: hidden;
      max-height: 551px;
      // min-width: 1024px;
      max-width: 1590px;
      border-top-left-radius: 4px;
      border-top-right-radius: 4px;
      border-bottom: 1px solid #c4c4c4;
      margin-left: 0px;
      table {
        min-width: 100%;
        border-collapse: separate;
        border-spacing: 0;
        .header-table {
          .row-header-box {
            .column-header-box {
              z-index: 3;
              border-top: none !important;
              padding: 5px 10px;
              height: 36px;
              border-right: 1px solid #c4c4c4;
              border-bottom: 0px;
              vertical-align: top;
              vertical-align: middle;
              background: #2A4258;
              color: #fff;
              position: -webkit-sticky;
              position: sticky;
              top: 0;
              .topic-column {
                justify-content: center;
              }
              .topic-column {
                @include standardFont(14px, 600, #ffffff);
                display: flex;
                align-items: center;
                vertical-align: middle;
              }
            }
            // fix style column header
            .column-header-box:first-child {
              border-left: 1px solid #2A4258 !important;
              @include standardTableCol(172px, 220px);
            }
            .column-header-box:nth-child(2) {
              width: 71px;
            }
            .column-header-box:nth-child(3) {
              @include standardTableCol(121px, 150px);
            }
            .column-header-box:last-child {
              border-top-right-radius: 4px;
              border-right: 0;
            }
          }
        }
        .body-table {
          width: 100%;
          position: relative;
          @include standardFont(14px, 500, #ffffff);
          tr:nth-child(even) {background: #eff4f8}
          tr:nth-child(odd) {background: #ffffff}
          // fix style column content
          td {
            padding: 5px 10px;
            height: 40px;
            border-right: 1px solid #c4c4c4;
            border-bottom: 0px;
            vertical-align: top;
            vertical-align: middle;
            text-align: center;
            white-space: pre-wrap;
            word-break: break-all !important;
            span {
              @include standardFont(14px, normal, #333333);
            }
            .active-text {
              color: #60b58e !important;
            }
            .not-active-text {
              color: #c86d6d !important;
            }
          }
          td:first-child {
            border-left: 1px solid #c4c4c4;
            @include standardTableCol(172px, 220px);
          }
          td:nth-child(2) {
            width: 71px;
          }
          td:nth-child(3) {
            @include standardTableCol(121px, 150px);
          }
          td:last-child {
            border-right: 1px solid #c4c4c4;
            width: 200px;
          }
        }
      }
    }
    .table-scroll::-webkit-scrollbar {
      height: 8px;
      width: 8px;
      background-color: rgba(255,255,255,0);
    }
    .table-scroll::-webkit-scrollbar-track,
    .table-scroll::-webkit-scrollbar-thumb {
      /*border: 6px solid rgba(255, 255, 255, 0);*/
      background-clip: padding-box;
    }
    .table-scroll::-webkit-scrollbar-track {
      background-color: #e2e2e2;
      border-radius: 20px;
      margin: 36px 0px 1px 0px;
    }
    .table-scroll::-webkit-scrollbar-thumb {
      background-color: #65bffd;
      border-radius: 20px;
      // &:hover {
      //   border: 15px solid rgba(255,255,255,0);
      // }
    }
  }
}
